/*
Theme Name: HALEXIO
Theme URI: 
Author: Halbe Treppe GmbH
Author URI: 
Description: 
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: spectra-one
Text Domain: halexio
Tags: 
*/

/*
=======================================
=======================================
Material Symbols
=======================================
=======================================
*/
@font-face {
	font-family:"Material Symbols Sharp";
	font-weight: 300;
	font-display: auto;
	src: url('/wp-content/themes/halexio/assets/fonts/material-symbols/material-symbols-sharp.woff2') format('woff2');
}
@font-face {
	font-family:"Material Symbols Rounded";
	font-weight: 300;
	font-display: auto;
	src: url('/wp-content/themes/halexio/assets/fonts/material-symbols/material-symbols-rounded.woff2') format('woff2');
}
@font-face {
	font-family:"Material Symbols Outlined";
	font-weight: 300;
	font-display: auto;
	src: url('/wp-content/themes/halexio/assets/fonts/material-symbols/material-symbols-outlined.woff2') format('woff2');
}
.material-symbols-outlined { font-family:"Material Symbols Outlined"; }
.material-symbols-rounded,
.halexio-liste li::before,
.halexio-highlight-liste li::before { font-family:"Material Symbols Rounded"; }
.material-symbols-sharp { font-family:"Material Symbols Sharp"; }

.material-symbols-outlined,
.material-symbols-rounded,
.material-symbols-sharp,
.halexio-liste li::before,
.halexio-highlight-liste li::before { font-weight:normal; font-style:normal; font-size:1.5625rem; display:inline-block; line-height:1; text-transform:none; letter-spacing:normal; word-wrap:normal; white-space:nowrap; direction:ltr; -webkit-font-smoothing:antialiased; text-rendering:optimizeLegibility; -moz-osx-font-smoothing:grayscale; font-feature-settings:'liga'; }

.material-symbols-outlined.red,
.material-symbols-rounded.red,
.material-symbols-sharp.red { color:var(--wp--preset--color--primary); }

/* Icons - Flex */
.icon-flex { display:flex; flex-direction:row; flex-wrap:nowrap; justify-content:flex-start; align-items:flex-start; gap:4px 5px; }
.halexio-icon { background-color:var(--wp--preset--color--primary); border-radius:10px; padding:0.625rem; margin-bottom:1.25rem; line-height:1rem; display:inline-block; width:fit-content!important; }
.halexio-icon.dark { background-color:var(--wp--preset--color--body); }
.halexio-icon .material-symbols-outlined,
.halexio-icon .material-symbols-rounded,
.halexio-icon .material-symbols-sharp { color:#fff; }

/* Smooth Scrolling */
html { scroll-behavior:smooth; overflow-x:hidden; }
body { overflow-x:hidden; }

.entry-content * { scroll-margin-top:130px; }

/* Leere Absätze verstecken */
p:empty { display:none; }

/* Obere Abstände in Spectra-Containern entfernen */
.wp-block-uagb-container h1,
.wp-block-uagb-container h2,
.wp-block-uagb-container h3,
.wp-block-uagb-container h4,
.wp-block-uagb-container h5,
.wp-block-uagb-container h6,
.wp-block-uagb-container p,
.wp-block-uagb-container ul,
.wp-block-uagb-container ol { margin-top:0; }

/* Buttons */
:root :where(.wp-block-button.is-style-outline .wp-block-button__link):hover,
:root :where(.wp-block-button.is-style-outline .wp-block-button__link):focus { color:var(--wp--preset--color--primary); border-color:var(--wp--preset--color--primary); }

/* Silbentrennung */
h1, h2, h3, h4, h5, h6,
.balance,
.silbentrennung,
.wp-block-table td,
.wp-block-table th { text-wrap:balance; hyphens:auto; hyphenate-limit-chars:8 3 4; hyphenate-limit-lines:2; }

h1 strong,
h2 strong { font-weight:inherit; color:var(--wp--preset--color--primary); }

/* Listen */
.halexio-liste,
.halexio-highlight-liste { list-style-type:none; padding-left:0; margin-left:0; }

.halexio-liste li,
.halexio-highlight-liste li { display:flex; flex-direction:row; flex-wrap:nowrap; align-items:flex-start; justify-content:flex-start; line-height:1.5625rem; column-gap:0.625rem; }

.halexio-liste li:not(:last-child),
.halexio-highlight-liste li:not(:last-child) { margin-bottom:0.625rem; }

.halexio-highlight-liste li { background-color:rgba(255,255,255,0.8); border:solid 1px var(--wp--preset--color--surface); border-radius:10px; padding:1.25rem 1.25rem 0.9375rem 0.9375rem; }
.halexio-gradient-dark .halexio-highlight-liste li { background-color:rgba(255,255,255,0.1); border-color:rgba(255,255,255,0.2); color:#fff; }

.halexio-liste li::before { content:"check"; display:inline-block; color:inherit; }
.halexio-liste.rot li::before { color:var(--wp--preset--color--primary); }
.halexio-highlight-liste li::before { content:"check"; display:inline-block; padding:0.3125rem; background-color:var(--wp--preset--color--primary); border-radius:5px; color:#fff; margin-top:-0.3125rem; }

/* Navigation */
.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover,
.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:focus { color:var(--wp--preset--color--primary); }

/* Verläufe */
.halexio-gradient-red { background:radial-gradient(circle at 30% -50%, rgba(255,247,237,0.4) 0%, rgba(255,247,237,0) 50%), radial-gradient(circle at 70% 150%, rgba(20, 24, 36,0.5) 0%, rgba(20, 24, 36,0) 50%), linear-gradient(180deg, var(--wp--preset--color--primary) 0%, var(--wp--preset--color--quaternary) 100%); }
.halexio-gradient-dark { background:radial-gradient(circle at 70% 100%, rgba(235, 90, 50,0.3) 0%, rgba(235, 90, 50,0) 50%), linear-gradient(180deg, var(--wp--preset--color--body) 0%, #2A2F3F 100%); }

/* Sonstiges */
.halexio-highlight { transform:scale(1.1)!important; }

/* Formulare */
input[type=text],
input[type=email],
input[type=tel],
input[type=button],
input[type=submit],
input[type=reset],
input[type=file],
textarea { font-family:inherit; font-size:var(--wp--preset--font-size--medium); margin-bottom:30px;  }

input[type=button],
input[type=submit],
input[type=reset] { border:none; }

input[type=text],
input[type=email],
input[type=tel],
textarea { width:100%; padding:15px 20px; background:linear-gradient(135deg, #FFFFFF 0%, var(--wp--preset--color--surface) 100%); border:solid 2px var(--wp--preset--color--surface); border-radius:5px; line-height:1.25em; }

input[type=button],
input[type=submit],
input[type=reset] { background-color:var(--wp--preset--color--primary); color:var(--wp--preset--color--white); padding:16px 30px; font-weight:var(--wp--custom--font-weight--medium); text-decoration:none; cursor:pointer; line-height:1em; border-radius:10px; }
input[type=button]:hover,
input[type=submit]:hover,
input[type=reset]:hover,
input[type=button]:focus,
input[type=submit]:focus,
input[type=reset]:focus { background-color: var(--wp--preset--color--body); }

.wpcf7 .checkbox { margin-bottom:20px; }
.wpcf7-list-item { margin:0; }
.wpcf7-not-valid-tip { color:var(--wp--preset--color--primary); font-size:var(--wp--preset--font-size--small); }
.ht-infolabel { font-weight:500; font-size:var(--wp--preset--font-size--small); padding-bottom:10px; color:var(--wp--preset--color--outline); line-height:1.25em; display:block; }